Bug 19836 - File locking is screwy
Summary: File locking is screwy
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: fileutils   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-25 23:52 UTC by compwiz
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-28 20:16:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description compwiz 2000-10-25 23:52:47 UTC
Somehow I don't think this is a sendmail bug, but I'll leave that up to you
to decide - After upgrading a bunch of RawHide packages, I get the
following when starting sendmail after bootup (first sendmail start seems
to work fine):
Starting sendmail: makemap: error opening type hash map
/etc/mail/virtusertable: No locks available
makemap: error opening type hash map /etc/mail/access: No locks available
makemap: error opening type hash map /etc/mail/domaintable: No locks available
makemap: error opening type hash map /etc/mail/mailertable: No locks available
                                                           [  OK  ]

Also, the following kinds of messages appear in /var/log/maillog (mail
doesn't get sent) when sending mail using mutt:

Oct 25 19:50:03 darth sendmail[1758]: NOQUEUE: SYSERR(root): cannot
flock(/var/run/sendmail.pid, fd=6, type=2, omode=37777777777, euid=0): No
locks available
Oct 25 19:50:03 darth sendmail[1758]: NOQUEUE:   6: fl=0x1, mode=100644: size=0
Oct 25 19:50:03 darth sendmail[1758]: unable to write /var/run/sendmail.pid
Oct 25 19:54:11 darth sendmail[1851]: NOQUEUE: SYSERR(root): cannot
flock(/etc/aliases, fd=3, type=6, omode=37777777777, euid=0): No locks
available
Oct 25 19:54:11 darth sendmail[1851]: NOQUEUE:   3: fl=0x2, mode=100644:
size=1062

Comment 1 compwiz 2000-10-28 20:16:50 UTC
I've tracked this down to fileutils. Reverting the the RH 7.0 version of
fileutils solved the problem. (Or created a workaround, depending how you look
at it)

Comment 2 Florian La Roche 2001-02-12 15:29:46 UTC
This works fine on systems I have seen and also on the current beta version of
Red Hat Linux 7.1. Please reopen if you find more infos on what could have gone
wrong with that system.

Thanks.



Note You need to log in before you can comment on or make changes to this bug.